Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab
Class CollabEnum

    java.lang.Object
      com.compoze.collab.CollabEnum

All Implemented Interfaces
  IDigestSupport

Direct Known Subclasses:
  BusyStatusEnum, DefaultContainerClassEnum, DefaultRootContainerClassEnum, ImportanceEnum, RecipientTypeEnum, RepeatForUnitEnum, RepeatHowEnum, RepeatTypeEnum, RepeatWeekendsEnum, SortOrderEnum, TaskStatusEnum

    public class CollabEnum

extends Object
implements IDigestSupport

This class is the superclass of all enumerations in the API. Enumerations are a list of `EnumElement`s. Enumerations in the Collaboration Services API have the following features:

- `int` values for switching
- programmatic Strings for debugging purposes
- Internationalizable names
- a default element
- a natural sort order
- Serializability via `readResolve`

Field Summary
`protected EnumElement[]` | `m_elements`

Constructor Summary
`protected` | `CollabEnum()` Constructor (for de-serialization);
`` | `CollabEnum(Class elementClass, int iSize, com.compoze.collab.resource.ResourceBundleWrapper rbWrapper, EnumElement defaultElement, String sInternalName, boolean bMaskable)` Constructor.

Method Summary
`void` | `addElement(EnumElement element)` Adds an element to the enumeration (called from classes outside package during construction).
`EnumElement` | `getDefaultElement()` Gets the default enum element.
`EnumElement` | `getElement(int iValue)` Gets an enum element.
`EnumElement[]` | `getElements()` Gets a copy of the enumeration's elements sorted in their natural order.
`String` | `getInternalName()` Gets the internal name of the enumeration.
`EnumElement[]` | `getRawElements()` Gets the enumeration's elements.
`com.compoze.collab.resource.ResourceBundleWrapper` | `getResourceBundle()` Gets the resource bundle that enum keys are kept in.
`boolean` | `isDefaultElement(EnumElement element)` Determines if the specified element is the default for this enumeration.
`protected void` | `setDefaultElement(EnumElement element)` Sets the default enum element.
`void` | `updateDigest(MessageDigest digest)` Updates the specified MessageDigest with the object's internal state.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_elements

    protected EnumElement[] m_elements

Constructor Detail

### CollabEnum

    protected CollabEnum()

  Constructor (for de-serialization);

### CollabEnum

    public CollabEnum(Class elementClass,
                      int iSize,
                      com.compoze.collab.resource.ResourceBundleWrapper rbWrapper,
                      EnumElement defaultElement,
                      String sInternalName,
                      boolean bMaskable)

  Constructor.

Method Detail

### addElement

    public void addElement(EnumElement element)

  Adds an element to the enumeration (called from classes outside package during construction).

### getElement

    public EnumElement getElement(int iValue)

  Gets an enum element.

### getDefaultElement

    public EnumElement getDefaultElement()

  Gets the default enum element.

### setDefaultElement

    protected void setDefaultElement(EnumElement element)

  Sets the default enum element.

### isDefaultElement

    public boolean isDefaultElement(EnumElement element)

  Determines if the specified element is the default for this enumeration.

### getElements

    public EnumElement[] getElements()

  Gets a copy of the enumeration's elements sorted in their natural order.

  Returns
    the elements (not `null`)

### getRawElements

    public EnumElement[] getRawElements()

  Gets the enumeration's elements. No sort is performed so elements are not returned in their natural order.

  Returns
    the elements (not `null`)

### getResourceBundle

    public com.compoze.collab.resource.ResourceBundleWrapper getResourceBundle()

  Gets the resource bundle that enum keys are kept in.

### getInternalName

    public String getInternalName()

  Gets the internal name of the enumeration.

  Returns
    the internal name

### updateDigest

    public void updateDigest(MessageDigest digest)

  Description copied from interface: `IDigestSupport`
  Updates the specified MessageDigest with the object's internal state.

  Specified by:
    `updateDigest` in interface `IDigestSupport`
  Parameters
    `digest` - the digest to update (not `null`)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved